CorelPainterParserInternal::ZoneHeader Struct Reference

Internal: a zone header of a CorelPainterParser. More...

## Public Member Functions

| ZoneHeader ()
| constructor
bool | isBitmap () const
| check if it is a picture header

## Public Attributes

bool | m_isMainZone
| a flag to know if this is the main picture
MWAWVec2i | m_dimension
| the bitmap dimension
MWAWVec2i | m_origin
| the bitmap origin
int | m_pixelByInch
| number of pixel by inch
int | m_numTreeNodes
| the number of Huffman node
std::shared_ptr< Node > | m_tree
| the Huffman tree
long | m_bitmapPos
| the bitmap position
long | m_rsrcDataPos
| the resource data position
long | m_nextPos
| the next zone position
int | m_flags [2]
| the main zone flags
std::map< std::string, MWAWEntry > | m_rsrcMap
| the different rsrc zone (v7)

## Detailed Description

Internal: a zone header of a CorelPainterParser.

## Constructor & Destructor Documentation

## ZoneHeader()

CorelPainterParserInternal::ZoneHeader::ZoneHeader | ( |  | ) |

inline

constructor

## Member Function Documentation

## isBitmap()

bool CorelPainterParserInternal::ZoneHeader::isBitmap | ( |  | ) | const

inline

check if it is a picture header

Referenced by CorelPainterParser::checkHeader(), CorelPainterParser::sendBitmap(), and CorelPainterParser::sendZone().

## Member Data Documentation

## m_bitmapPos

long CorelPainterParserInternal::ZoneHeader::m_bitmapPos

the bitmap position

Referenced by isBitmap(), CorelPainterParser::readZoneHeader(), CorelPainterParser::sendBitmap(), CorelPainterParser::sendZone(), and ZoneHeader().

## m_dimension

MWAWVec2i CorelPainterParserInternal::ZoneHeader::m_dimension

the bitmap dimension

Referenced by CorelPainterParser::getZonePosition(), isBitmap(), CorelPainterParser::readBitmap(), CorelPainterParser::readBitmapRow(), CorelPainterParser::readZoneHeader(), and ZoneHeader().

## m_flags

int CorelPainterParserInternal::ZoneHeader::m_flags[2]

the main zone flags

Referenced by CorelPainterParser::checkHeader(), isBitmap(), CorelPainterParser::readZoneHeader(), and ZoneHeader().

## m_isMainZone

bool CorelPainterParserInternal::ZoneHeader::m_isMainZone

a flag to know if this is the main picture

Referenced by CorelPainterParser::readBitmap(), CorelPainterParser::readZoneHeader(), and ZoneHeader().

## m_nextPos

long CorelPainterParserInternal::ZoneHeader::m_nextPos

the next zone position

Referenced by CorelPainterParser::createZones(), isBitmap(), CorelPainterParser::readBitmap(), CorelPainterParser::readResourcesList(), CorelPainterParser::readZoneHeader(), CorelPainterParser::sendZone(), and ZoneHeader().

## m_numTreeNodes

int CorelPainterParserInternal::ZoneHeader::m_numTreeNodes

the number of Huffman node

Referenced by CorelPainterParser::checkHeader(), CorelPainterParser::readBitmap(), CorelPainterParser::readZoneHeader(), and ZoneHeader().

## m_origin

MWAWVec2i CorelPainterParserInternal::ZoneHeader::m_origin

the bitmap origin

Referenced by CorelPainterParser::getZonePosition(), CorelPainterParser::readZoneHeader(), and ZoneHeader().

## m_pixelByInch

int CorelPainterParserInternal::ZoneHeader::m_pixelByInch

number of pixel by inch

Referenced by CorelPainterParser::checkHeader(), CorelPainterParser::getZonePosition(), CorelPainterParser::readZoneHeader(), CorelPainterParser::sendZone(), and ZoneHeader().

## m_rsrcDataPos

long CorelPainterParserInternal::ZoneHeader::m_rsrcDataPos

the resource data position

Referenced by CorelPainterParser::createZones(), isBitmap(), CorelPainterParser::readBitmap(), CorelPainterParser::readResourcesList(), CorelPainterParser::readZoneHeader(), CorelPainterParser::sendBitmap(), CorelPainterParser::sendZone(), and ZoneHeader().

## m_rsrcMap

std::map<std::string, MWAWEntry> CorelPainterParserInternal::ZoneHeader::m_rsrcMap

the different rsrc zone (v7)

Referenced by CorelPainterParser::readResourcesList(), CorelPainterParser::sendZone(), and ZoneHeader().

## m_tree

std::shared_ptr<Node> CorelPainterParserInternal::ZoneHeader::m_tree

the Huffman tree

Referenced by CorelPainterParser::decompressData(), CorelPainterParser::readZoneHeader(), and ZoneHeader().

The documentation for this struct was generated from the following file:

- CorelPainterParser.cxx